%define libname   %mklibname spreadsheet %version
%define develname %mklibname spreadsheet -d

%define goffice %(rpm -q --queryformat %%{VERSION} goffice)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%define goffice_patch_ver %(echo %{version}|cut -d. -f3)

Name:		gnumeric
Summary:	A full-featured spreadsheet for GNOME
Version:	1.12.57
Release:	%mkrel 3
License:	GPLv2+
Group:		Office/Spreadsheet
URL:		https://www.gnome.org/projects/gnumeric/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.8.7
BuildRequires:	pkgconfig(libgoffice-0.10) >= 0.10.%{goffice_patch_ver}
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.33
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires:	pkgconfig(pango) >= 1.24.0
BuildRequires:	pkgconfig(pangocairo) >= 1.24.0
BuildRequires:	pkgconfig(pxlib) >= 0.4.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires:	perl-devel
BuildRequires:	scrollkeeper
BuildRequires:	itstool
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	bison
BuildRequires:	docbook-dtds
BuildRequires:  gtk-doc

%description
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%package -n %libname
Summary:	Spreadsheet library from Gnumeric
Group:		System/Libraries

%description -n %libname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%package -n %develname
Summary:	Spreadsheet library from Gnumeric - development files
Group:		Development/C
Requires:	%libname = %{version}
Provides:	libspreadsheet-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

rm -vf %{buildroot}%{_datadir}/%{name}/%{version}/perl/*/auto/Gnumeric/.packlist
rm -rf %{buildroot}/var

find %{buildroot} -name '*.la' -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Science" \
  --remove-category="Math" \
  --remove-category="Application" \
  --remove-mime-type="zz-application/zz-winassoc-xls" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS BUGS README
%{_bindir}/*
%{_libdir}/goffice/*/plugins/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*%{name}*
%{_mandir}/man1/*
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.xml
%{_metainfodir}/org.gnumeric.%{name}.appdata.xml

%files -n %libname
%{_libdir}/libspreadsheet-%{version}.so

%files -n %develname
%{_libdir}/libspreadsheet.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libspreadsheet-*


%changelog
* Thu Mar 06 2025 daviddavid <daviddavid> 1.12.57-3.mga10
+ Revision: 2161184
- rebuild for python 3.13

* Fri Aug 23 2024 tv <tv> 1.12.57-2.mga10
+ Revision: 2089672
- Rebuild for perl-5.40

* Mon Mar 18 2024 daviddavid <daviddavid> 1.12.57-1.mga10
+ Revision: 2050336
- new version 1.12.57

* Tue Dec 19 2023 papoteur <papoteur> 1.12.56-3.mga10
+ Revision: 2019168
- Mass Rebuild - Python 3.12

* Tue Dec 05 2023 daviddavid <daviddavid> 1.12.56-2.mga10
+ Revision: 2013208
- add upstream patch to fix build with libxml2 2.12.0
- rebuild for new perl 5.38.0

* Mon Nov 27 2023 daviddavid <daviddavid> 1.12.56-1.mga10
+ Revision: 2009943
- new version 1.12.56

* Sat Feb 04 2023 daviddavid <daviddavid> 1.12.55-1.mga9
+ Revision: 1938190
- new version 1.12.55

* Mon Oct 24 2022 ghibo <ghibo> 1.12.53-1.mga9
+ Revision: 1898994
- Build against 1.12.53 sources.
- Update BuildRequires versions.
+ ovitters <ovitters>
- new version 1.12.53

* Tue Jun 07 2022 umeabot <umeabot> 1.12.52-3.mga9
+ Revision: 1863223
- Rebuild for Perl 5.36
- Rebuild for Perl 5.36
+ ovitters <ovitters>
- new version 1.12.52

* Thu Mar 31 2022 umeabot <umeabot> 1.12.51-3.mga9
+ Revision: 1836362
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.12.51-2.mga9
+ Revision: 1778419
- Rebuild for python-3.10

* Thu Jan 20 2022 ovitters <ovitters> 1.12.51-1.mga9
+ Revision: 1769226
- new version 1.12.51

* Fri Jun 11 2021 ovitters <ovitters> 1.12.50-1.mga9
+ Revision: 1730363
- new version 1.12.50

* Mon May 24 2021 umeabot <umeabot> 1.12.49-2.mga9
+ Revision: 1726363
- Rebuild for perl 5.34

* Fri May 21 2021 ovitters <ovitters> 1.12.49-1.mga9
+ Revision: 1725924
- new version 1.12.49

* Fri Aug 28 2020 martinw <martinw> 1.12.48-1.mga8
+ Revision: 1619443
- new version 1.12.48

* Wed Aug 05 2020 joequant <joequant> 1.12.47-3.mga8
+ Revision: 1611135
- add gtk-doc

* Wed Jun 17 2020 umeabot <umeabot> 1.12.47-2.mga8
+ Revision: 1594213
- Rebuild for perl 5.32

* Sun May 10 2020 ovitters <ovitters> 1.12.47-1.mga8
+ Revision: 1582408
- new version 1.12.47
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 1.12.46-2.mga8
+ Revision: 1538214
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 16 2019 daviddavid <daviddavid> 1.12.46-1.mga8
+ Revision: 1461127
- new version 1.12.46

* Tue Aug 27 2019 tmb <tmb> 1.12.45-3.mga8
+ Revision: 1433972
- rebuild for perl 5.30

* Fri Aug 09 2019 tv <tv> 1.12.45-2.mga8
+ Revision: 1428409
- drop patch disabling langs now that we've a fixed libxml

* Fri Aug 09 2019 tv <tv> 1.12.45-1.mga8
+ Revision: 1428315
- new release
- new release

* Sat Nov 24 2018 ovitters <ovitters> 1.12.44-1.mga7
+ Revision: 1333875
- new version 1.12.44

* Sun Sep 23 2018 umeabot <umeabot> 1.12.43-2.mga7
+ Revision: 1297997
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 ovitters <ovitters> 1.12.43-1.mga7
+ Revision: 1252911
- new version 1.12.43
- dropped merged patch gnumeric-1.12.42-fix-tools-and-widget-headers-path.patch

* Tue Aug 14 2018 daviddavid <daviddavid> 1.12.42-2.mga7
+ Revision: 1251547
- add upstream patch to install tools and widget headers in the right place

* Fri Aug 10 2018 ovitters <ovitters> 1.12.42-1.mga7
+ Revision: 1250872
- new version 1.12.42

* Tue Aug 07 2018 daviddavid <daviddavid> 1.12.41-2.mga7
+ Revision: 1248465
- rebuild for new perl 5.28.0

* Tue May 08 2018 ovitters <ovitters> 1.12.41-1.mga7
+ Revision: 1227586
- new version 1.12.41

* Tue May 01 2018 ovitters <ovitters> 1.12.40-1.mga7
+ Revision: 1224107
- new version 1.12.40

* Wed Mar 14 2018 ovitters <ovitters> 1.12.39-1.mga7
+ Revision: 1209158
- new version 1.12.39

* Fri Dec 29 2017 ovitters <ovitters> 1.12.38-1.mga7
+ Revision: 1187179
- new version 1.12.38
- new version 1.12.37

* Sun Nov 19 2017 ovitters <ovitters> 1.12.36-1.mga7
+ Revision: 1177698
- new version 1.12.36

* Wed Oct 18 2017 cjw <cjw> 1.12.35-4.mga7
+ Revision: 1172602
- add buildrequires: docbook-dtds

* Thu Aug 31 2017 pterjan <pterjan> 1.12.35-3.mga7
+ Revision: 1150261
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.12.35-2.mga7
+ Revision: 1127658
- Rebuild against new Perl 5.26

* Mon Jul 17 2017 ovitters <ovitters> 1.12.35-1.mga7
+ Revision: 1124507
- new version 1.12.35

* Tue Apr 25 2017 akien <akien> 1.12.34-1.mga6
+ Revision: 1097397
- Fix help files packaging
+ ovitters <ovitters>
- new version 1.12.34
- new version 1.12.33

* Tue Oct 11 2016 pterjan <pterjan> 1.12.32-3.mga6
+ Revision: 1060192
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Fri Oct 07 2016 ovitters <ovitters> 1.12.32-2.mga6
+ Revision: 1059470
- new version 1.12.32

* Mon Jun 27 2016 ovitters <ovitters> 1.12.30-1.mga6
+ Revision: 1037930
- new version 1.12.30

* Sat May 07 2016 ovitters <ovitters> 1.12.29-1.mga6
+ Revision: 1010105
- new version 1.12.29

* Wed Mar 23 2016 ovitters <ovitters> 1.12.28-1.mga6
+ Revision: 994226
- new version 1.12.28

* Mon Feb 15 2016 pterjan <pterjan> 1.12.27-1.mga6
+ Revision: 960502
- Add missing BuildRequires
+ ovitters <ovitters>
- new version 1.12.27

* Mon Dec 28 2015 ovitters <ovitters> 1.12.26-1.mga6
+ Revision: 916647
- new version 1.12.26

* Fri Dec 25 2015 ovitters <ovitters> 1.12.25-1.mga6
+ Revision: 914655
- new version 1.12.25

* Wed Oct 14 2015 ovitters <ovitters> 1.12.24-1.mga6
+ Revision: 891146
- new version 1.12.24

* Wed Jul 29 2015 ovitters <ovitters> 1.12.23-1.mga6
+ Revision: 858803
- new version 1.12.23

* Fri Jun 26 2015 tv <tv> 1.12.22-2.mga6
+ Revision: 844618
- rebuild for perl-5.22

* Sat Jun 20 2015 ovitters <ovitters> 1.12.22-1.mga6
+ Revision: 836375
- new version 1.12.22

* Thu Feb 05 2015 ovitters <ovitters> 1.12.20-1.mga5
+ Revision: 813521
- new version 1.12.20

* Sun Jan 25 2015 ovitters <ovitters> 1.12.19-1.mga5
+ Revision: 812215
- new version 1.12.19

* Wed Oct 15 2014 umeabot <umeabot> 1.12.18-2.mga5
+ Revision: 747124
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 1.12.18-1.mga5
+ Revision: 732528
- new version 1.12.18

* Tue Sep 16 2014 umeabot <umeabot> 1.12.17-2.mga5
+ Revision: 679825
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 ovitters <ovitters> 1.12.17-1.mga5
+ Revision: 635308
- new version 1.12.17

* Mon May 26 2014 fwang <fwang> 1.12.16-1.mga5
+ Revision: 626574
- 1.12.16

* Thu May 01 2014 ovitters <ovitters> 1.12.15-1.mga5
+ Revision: 619121
- new version 1.12.15

* Sun Apr 13 2014 ovitters <ovitters> 1.12.14-1.mga5
+ Revision: 613897
- new version 1.12.14

* Tue Mar 18 2014 ovitters <ovitters> 1.12.13-1.mga5
+ Revision: 605196
- new version 1.12.13

* Tue Mar 04 2014 ovitters <ovitters> 1.12.12-1.mga5
+ Revision: 599246
- new version 1.12.12

* Sun Feb 16 2014 ovitters <ovitters> 1.12.11-1.mga5
+ Revision: 592809
- new version 1.12.11

* Wed Feb 12 2014 fwang <fwang> 1.12.10-1.mga5
+ Revision: 589598
- raise build requires
+ ovitters <ovitters>
- new version 1.12.10

* Fri Nov 29 2013 ovitters <ovitters> 1.12.9-1.mga4
+ Revision: 554018
- new version 1.12.9

* Mon Oct 21 2013 umeabot <umeabot> 1.12.8-2.mga4
+ Revision: 539703
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 1.12.8-1.mga4
+ Revision: 492813
- new version 1.12.8

* Sun Sep 01 2013 ovitters <ovitters> 1.12.7-1.mga4
+ Revision: 474165
- new version 1.12.7

* Wed Aug 28 2013 ovitters <ovitters> 1.12.6-1.mga4
+ Revision: 472479
- new version 1.12.6

* Tue Aug 20 2013 fwang <fwang> 1.12.5-1.mga4
+ Revision: 468030
- new version 1.12.5

* Mon Jul 15 2013 ovitters <ovitters> 1.12.4-1.mga4
+ Revision: 454408
- new version 1.12.4

* Wed Jun 26 2013 fwang <fwang> 1.12.3-1.mga4
+ Revision: 446709
- new version 1.12.3

* Thu May 30 2013 dams <dams> 1.12.2-1.mga4
+ Revision: 433234
- new version 1.12.2
- remove 'automake' and 'gda' patches
- update/clean specfile

* Wed May 29 2013 tv <tv> 1.12.0-5.mga4
+ Revision: 430246
- rebuild for new perl

* Fri Jan 18 2013 fwang <fwang> 1.12.0-4.mga3
+ Revision: 389274
- disable gda 4.0 req

* Sat Jan 12 2013 umeabot <umeabot> 1.12.0-3.mga3
+ Revision: 352364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.12.0-2.mga3
+ Revision: 339180
- patch6: list testcases in test/Makefile.am to fix build with automake 1.13

* Wed Dec 19 2012 fwang <fwang> 1.12.0-1.mga3
+ Revision: 332752
- bump req
+ ovitters <ovitters>
- new version 1.12.0

* Sat Nov 17 2012 ovitters <ovitters> 1.11.90-1.mga3
+ Revision: 319029
- new version 1.11.90

* Thu Nov 08 2012 fwang <fwang> 1.11.6-2.mga3
+ Revision: 316369
- update rpm group

* Fri Sep 07 2012 fwang <fwang> 1.11.6-1.mga3
+ Revision: 289065
- bump goffice req
+ ovitters <ovitters>
- new version 1.11.6

* Mon Jul 16 2012 ovitters <ovitters> 1.11.5-1.mga3
+ Revision: 271173
- new version 1.11.5

* Tue Jun 26 2012 fwang <fwang> 1.11.4-1.mga3
+ Revision: 263803
- update br
+ ovitters <ovitters>
- new version 1.11.4

* Sun Apr 22 2012 ovitters <ovitters> 1.11.3-1.mga2
+ Revision: 232494
- new version 1.11.3
- fix source url
+ fwang <fwang>
- drop unused switch

* Sat Mar 03 2012 fwang <fwang> 1.11.2-1.mga2
+ Revision: 217092
- update br
- br gettex
- new version 1.11.2
- new version 1.11.2

* Mon Nov 28 2011 fwang <fwang> 1.11.1-1.mga2
+ Revision: 173517
- bump go req
- new version 1.11.1

* Sat Nov 26 2011 fwang <fwang> 1.11.0-1.mga2
+ Revision: 171999
- cleanup spec file
- add embedder from git
- new version 1.11.0

* Wed Sep 21 2011 fwang <fwang> 1.10.17-2.mga2
+ Revision: 146274
- drop .la files
- br perl-devel
- new version 1.10.17

* Fri Jun 24 2011 cjw <cjw> 1.10.16-1.mga2
+ Revision: 113183
- patch6: fix build
+ dmorgan <dmorgan>
- Rebuild against new goffice
+ tmb <tmb>
- rebuild for goffice 0.8.16
+ fwang <fwang>
- new version 1.10.16

* Sun May 15 2011 pterjan <pterjan> 1.10.14-2.mga1
+ Revision: 98929
- Rebuild for fixed find-requires

* Fri Apr 15 2011 dams <dams> 1.10.14-1.mga1
+ Revision: 85553
- update to 1.10.14

* Thu Apr 14 2011 dams <dams> 1.10.13-2.mga1
+ Revision: 85215
+ rebuild (emptylog)

* Thu Feb 24 2011 ennael <ennael> 1.10.13-1.mga1
+ Revision: 59114
- clean spec file
- imported package gnumeric


* Fri Feb 04 2011 Götz Waschk <waschk@mandriva.org> 1.10.13-1mdv2011.0
+ Revision: 635741
- update to new version 1.10.13

* Fri Nov 26 2010 Götz Waschk <waschk@mandriva.org> 1.10.12-1mdv2011.0
+ Revision: 601499
- update to new version 1.10.12

* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 1.10.11-3mdv2011.0
+ Revision: 591321
- rebuild for py 2.7

* Sat Oct 02 2010 Götz Waschk <waschk@mandriva.org> 1.10.11-2mdv2011.0
+ Revision: 582507
- rebuild for new goffice

* Sat Oct 02 2010 Funda Wang <fwang@mandriva.org> 1.10.11-1mdv2011.0
+ Revision: 582462
- update to new version 1.10.11

* Sun Sep 05 2010 Funda Wang <fwang@mandriva.org> 1.10.10-1mdv2011.0
+ Revision: 576057
- update to new version 1.10.10

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 1.10.9-1mdv2011.0
+ Revision: 570881
- update to new version 1.10.9

* Sat Jul 31 2010 Götz Waschk <waschk@mandriva.org> 1.10.8-1mdv2011.0
+ Revision: 563915
- update to new version 1.10.8

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.10.7-1mdv2011.0
+ Revision: 550824
- new version
- bump goffice dep

* Sat Apr 17 2010 Götz Waschk <waschk@mandriva.org> 1.10.2-1mdv2010.1
+ Revision: 535762
- fix goffice dep
- update to new version 1.10.2

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 1.10.1-2mdv2010.1
+ Revision: 518307
- fix mime types in desktop entry (bug #58128)

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2010.1
+ Revision: 516943
- update to new version 1.10.1

* Sun Feb 14 2010 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 505803
- new version
- bump goffice dep

* Mon Jan 25 2010 Götz Waschk <waschk@mandriva.org> 1.9.18-1mdv2010.1
+ Revision: 496235
- new version
- drop patch 2

* Tue Jan 19 2010 Götz Waschk <waschk@mandriva.org> 1.9.17-3mdv2010.1
+ Revision: 493593
- rebuild for lost package
- update patch 0 for new libgda
- fix build with new gtk+

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 1.9.17-1mdv2010.1
+ Revision: 479440
- new version
- bump deps
- fix gda compilation
- fix format strings

* Mon Nov 30 2009 Götz Waschk <waschk@mandriva.org> 1.9.16-2mdv2010.1
+ Revision: 471766
- reenable gda support

* Sun Nov 29 2009 Götz Waschk <waschk@mandriva.org> 1.9.16-1mdv2010.1
+ Revision: 471533
- new version
- bump goffice dep

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.15-1mdv2010.1
+ Revision: 462091
- update to new version 1.9.15

* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 1.9.14-1mdv2010.0
+ Revision: 456814
- new version
- bump goffice dep

* Sun Sep 20 2009 Götz Waschk <waschk@mandriva.org> 1.9.13-1mdv2010.0
+ Revision: 445658
- new version
- bump goffice dep

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 1.9.12-1mdv2010.0
+ Revision: 432511
- new version
- update goffice dep

* Thu Sep 03 2009 Götz Waschk <waschk@mandriva.org> 1.9.11-2mdv2010.0
+ Revision: 428510
- build with gnome-db 4
- disable gda for now

* Mon Aug 31 2009 Götz Waschk <waschk@mandriva.org> 1.9.11-1mdv2010.0
+ Revision: 422788
- new version
- bump goffice dep

* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 1.9.10-1mdv2010.0
+ Revision: 416845
- new version
- bump goffice dep
- drop patches 1,3

* Sat Jun 20 2009 Götz Waschk <waschk@mandriva.org> 1.9.9-1mdv2010.0
+ Revision: 387522
- new version
- bump deps

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.8-1mdv2010.0
+ Revision: 379287
- Update to new version 1.9.8

* Thu May 07 2009 Götz Waschk <waschk@mandriva.org> 1.9.7-1mdv2010.0
+ Revision: 372807
- new version
- bump deps

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 1.9.6-1mdv2010.0
+ Revision: 370767
- update BR
- New version 1.9.6

* Mon Mar 23 2009 Götz Waschk <waschk@mandriva.org> 1.9.5-1mdv2009.1
+ Revision: 360677
- new version
- bump goffice dep

* Mon Feb 23 2009 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdv2009.1
+ Revision: 344073
- new version
- drop patch 4
- reenable gnome deps
- bump goffice dep

* Fri Feb 20 2009 Frederic Crozat <fcrozat@mandriva.com> 1.9.3-4mdv2009.1
+ Revision: 343320
- Patch5: fix CVE-2009-0318

* Mon Dec 29 2008 Funda Wang <fwang@mandriva.org> 1.9.3-3mdv2009.1
+ Revision: 320845
- fix str fmt
- rediff help path patch

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.9.3-2mdv2009.1
+ Revision: 301534
- rebuilt against new libxcb

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2009.1
+ Revision: 295380
- new version
- update file list
- bump deps

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2009.0
+ Revision: 277858
- new version
- bump deps

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-2mdv2009.0
+ Revision: 264312
- rebuild

* Wed Jun 25 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2009.0
+ Revision: 229026
- new version
- drop patch 0
- bump goffice dep
- add new icons

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 05 2008 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdv2009.0
+ Revision: 201296
- new version
- bump goffice dep

* Sat Mar 08 2008 Funda Wang <fwang@mandriva.org> 1.8.2-1mdv2008.1
+ Revision: 182046
- New version 1.8.2

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 1.8.1-1mdv2008.1
+ Revision: 157850
- new version

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2008.1
+ Revision: 139608
- new version
- drop patch 2
- patch to add missing omf file

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 1.7.91-3mdv2008.1
+ Revision: 136850
- update the patch for goffice 0.6.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 1.7.91-2mdv2008.1
+ Revision: 132632
- patch to build with goffice 0.6.0
- rebuild for new goffice

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - do not package big ChangeLog

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 1.7.91-1mdv2008.1
+ Revision: 115200
- new version

* Tue Nov 20 2007 Götz Waschk <waschk@mandriva.org> 1.7.90-2mdv2008.1
+ Revision: 110684
- new version
- bump goffice dep

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1.7.14-2mdv2008.1
+ Revision: 109246
- rebuild for new lzma

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 1.7.14-1mdv2008.1
+ Revision: 105876
- new version
- drop patch 2
- bump goffice dep

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 1.7.13-2mdv2008.1
+ Revision: 101086
- new devel name

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 1.7.13-1mdv2008.1
+ Revision: 101035
- new version
- bump goffice dep
- patch 2 fixes a build error
- apply patch 1

* Thu Sep 20 2007 Götz Waschk <waschk@mandriva.org> 1.7.12-3mdv2008.0
+ Revision: 91565
- fix help menu (bug # 33798)

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 1.7.12-2mdv2008.0
+ Revision: 84389
- Remove old menu file
- Use macros for scrollkeeper
- Remove Math and Science categories from .desktop file (Mdv bug #33326)

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 1.7.12-1mdv2008.0
+ Revision: 79327
- new version
- bump deps

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 1.7.11-3mdv2008.0
+ Revision: 78467
- rebuild for lost package

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 1.7.11-2mdv2008.0
+ Revision: 78346
- fix icon in desktop file
- reenable gnome-db support

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 1.7.11-1mdv2008.0
+ Revision: 54988
- new version
- drop patches
- disable gnomedb support
- update deps
- update file list

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 1.7.10-2mdv2008.0
+ Revision: 51381
- fix build with new gtk

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 1.7.10-1mdv2008.0
+ Revision: 22276
- new version
- bump deps

* Sun Apr 22 2007 Götz Waschk <waschk@mandriva.org> 1.7.9-1mdv2008.0
+ Revision: 16946
- new version
- drop patch 0
- bump goffice dep


* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 1.7.8-1mdv2007.0
+ Revision: 133015
- new version
- bump deps

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.7.7-1mdv2007.1
+ Revision: 122438
- new version

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 1.7.6-2mdv2007.1
+ Revision: 103093
- patch to fix build with new gda and gnomedb

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2007.1
+ Revision: 98493
- fix buildrequires
- depend on pygtk2.0 for the python plugin
- move devel provides to the devel package
- new version
- bump deps
- reenable perl module

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 1.7.5-1mdv2007.1
+ Revision: 91245
- new version
- bump deps

* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2007.1
+ Revision: 86596
- depend on the exact goffice version
- new version
- bump deps

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 1.7.2-1mdv2007.1
+ Revision: 65911
- new version
  bump goffice dep to have the gnumeric plugin in the right directory

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.7.1-1mdv2007.1
+ Revision: 65663
- Import gnumeric

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.7.1-1mdv2007.1
- update file list
- unpack patch
- bump deps
- New version 1.7.1

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.0-2mdv2007.0
- Fix xdg tag
- rebuild with latest dbus

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.0-1mdv2007.0
- Release 1.7.0
- devel package is back
- Regenerate patch0

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-4mdk
- Migrate to XDG menu

* Sat Mar 25 2006 Götz Waschk <waschk@mandriva.org> 1.6.3-3mdk
- rebuild for new gnome-db

* Thu Mar 23 2006 Götz Waschk <waschk@mandriva.org> 1.6.3-2mdk
- rebuild to fix broken source package

* Thu Mar 23 2006 Götz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- bump deps
- New release 1.6.3

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 1.6.2-4mdk
- rebuild for new libgsf

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.2-3mdk
- Disable gda support on 2006.0

* Wed Feb 15 2006 Götz Waschk <waschk@mandriva.org> 1.6.2-2mdk
- enable gnome-db

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 1.6.2-1mdk
- bump deps
- New release 1.6.2
- use mkrel

* Thu Nov 17 2005 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdk
- fix file list
- bump deps
- New release 1.6.1

* Thu Oct 13 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-3mdk
- it's not my day, really fix it.

* Thu Oct 13 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-2mdk
- make it installable

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdk
- disable library package
- bump deps
- new version

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5.90-1mdk
- Releae 1.5.90
- Regenerate patch0 (gotz)
- Remove patches 1, 2, 3 (merged upstream)
- libification (gotz)
- Disable gda support for now

* Wed Aug 31 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-5mdk 
- Patch3: security update CAN-2005-2491

* Sun Aug 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-4mdk 
- Generate ssindex, which can be used by beagle
- Update patch1 to fix build with libgsf 1.12.2
- Convert PreReq
- Patch2 (CVS): fix potential bufferoverrun

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-3mdk 
- Patch1 (CVS): use libgsf 1.12.x API

* Wed May 04 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-2mdk 
- Fix build on x86-64

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-1mdk 
- Release 1.4.3

* Tue Jan 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- New release 1.4.2
- Regenerate patch0

* Tue Dec 28 2004 Götz Waschk <waschk@linux-mandrake.com> 1.4.1-2mdk
- rebuild for new gnome-db

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- New release 1.4.1
- Patch0: fix help path (Mdk bug #12355)

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.4.0-2mdk
- Rebuild for new  python

* Mon Nov 29 2004 Götz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- disable perl
- fix installation
- drop patches
- New release 1.4.0

* Mon Nov 15 2004 Götz Waschk <waschk@linux-mandrake.com> 1.3.93-2mdk
- remove some perl tempfile
- rebuild for new perl

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 1.3.93-1mdk
- enable perl plugins
- fix gconf script
- disable intltoolize
- new gnome-db
- enable psiconv support
- drop merged patch
- enable pxlib support
- fix buildrequires
- reenable libtoolize
- drop yelp stuff
- fix build
- new version

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-3mdk
- Patch0 (CVS): fix error in po file
- Fix missing schema registration (Mdk bug #11078)

* Fri Jun 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-2mdk
- Add some mimetypes (bug #8395)
- Remove yelp-pregenerate call

* Thu Jun 24 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.13-1mdk
- reenable libtoolize
- New release 1.2.13

* Thu May 06 2004 <fcrozat@mandrakesoft.com> 1.2.12-1mdk
- New release 1.2.12

* Tue Apr 20 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.11-1mdk
- new version

* Wed Apr 14 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.10-1mdk
- new version

